.products-nav-header {
    text-align:center;
    background-color:#eee;
    padding:12px;
    border-radius:5px;
    overflow:auto;
}

.products-nav-header a {
    margin:0 20px;
    color:#555;
}

h2 {
    margin:60px 0 10px;
}

.product-list {
    margin:20px;
    display:table;
    border-collapse:collapse;
}

.product-item {
    min-height: 130px;
    margin-bottom:30px;
    display:block;
}

.product-item .icon {
    display:table-cell;
    width:170px;
    vertical-align:top;
}

.product-item .icon img {
    float:left;
    max-height:128px;
    position:relative;
    top:12px;
}

.product-item .description {
    display:table-cell;
    vertical-align:top;
}
